using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Input;

[ComImport]
[InterfaceType(2)]
[Guid("BBF25010-50FE-4398-BB78-BF8B9D392915")]
[TypeLibType(4096)]
[SuppressUnmanagedCodeSecurity]
public interface ITimerEvents
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void Timeout([MarshalAs(UnmanagedType.Interface)] Timer Source);
}
